/**
 * EntityNamePartType2.java
 *
 * File generated from the medication2::EntityNamePartType2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration EntityNamePartType2.
 *
 * 
 */

@XmlType(name = "EntityNamePartType")
@XmlEnum
@XmlRootElement(name = "EntityNamePartType2")
public enum EntityNamePartType2 {
	@XmlEnumValue("DEL")
	DEL("DEL"),
	@XmlEnumValue("FAM")
	FAM("FAM"),
	@XmlEnumValue("GIV")
	GIV("GIV"),
	@XmlEnumValue("PFX")
	PFX("PFX"),
	@XmlEnumValue("SFX")
	SFX("SFX");
	
	private final String value;

    EntityNamePartType2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static EntityNamePartType2 fromValue(String v) {
        for (EntityNamePartType2 c: EntityNamePartType2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
